﻿
@model SportsClub.Models.ParticipantViewModel

@{
    ViewBag.Title = "   Participant information";
    ViewBag.IsRegistrantReport = true;
}
@using (Html.BeginForm("ParticipantInformation", "Registrant", FormMethod.Post, new { @id = "ParticipantInformation", @name = "myForm" }))
{
    @Html.AntiForgeryToken()
    <div class="container" style="padding-bottom:40px !important;">
        <div class="title-page">
            @if (Model.PageStep == PageStep.Step1)
            {
                <h1>
                    Personal
                </h1>
            }
            @if (Model.PageStep == PageStep.Step2)
            {
                <h1>
                    School
                </h1>
            }
            @if (Model.PageStep == PageStep.Step3)
            {
                <h1>
                    Medical
                </h1>
            }
        </div>

        <div class="wrapper">
            <div id="wrapper-title">
                <span>
                    @if (Model.PageMode == PageMode.Edit)
                    {
                        @Model.FullName
                    }
                </span>
            </div>
            <div class="wrapper-content">
                <div id="resultTarget">
                    @if (Model.PageStep == PageStep.Step1)
                    {
                        @Html.Partial("_ParticipantInformation", Model)
                    }
                    else if (Model.PageStep == PageStep.Step2)
                    {
                        @Html.Partial("_SchoolInformation", Model)
                    }
                    else if (Model.PageStep == PageStep.Step3)
                    {
                        @Html.Partial("_MedicalInformation", Model)
                    }
                </div>
            </div>
        </div>

    </div>

}

@section scripts {
    @Scripts.Render("~/bundles/Scripts/Common/Utilities/Mask/js");
    <script>

        $('#hasSpecialNeeds').on('change', function () {
        
            if ($(this).val() == 'True') {
               
                $("#hasSpecialNeedsDescription").closest('.form-group').show(200);
            }
            else {
        
                $("#hasSpecialNeedsDescription").closest('.form-group').hide(200);
            }
        });

        $('#hasAllergies').on('change', function () {
            if ($(this).val() == 'True') {
                $("#allergiesDescription").closest('.form-group').show(200);
            }
            else {
                $("#allergiesDescription").closest('.form-group').hide(200);
            }
        });

        $('#selfAdministered').on('change', function () {
            if ($(this).val() == 'True') {
                $("#selfAdministeredDescription").closest('.form-group').show(200);
            }
            else {
                $("#selfAdministeredDescription").closest('.form-group').hide(200);
            }
        });

        $('#nutAllergy').on('change', function () {
            if ($(this).val() == 'True') {
                $("#nutAllergyDescription").closest('.form-group').show(200);
            }
            else {
                $("#nutAllergyDescription").closest('.form-group').hide(200);
            }
        });

        function EditDetailsPlayer() {
            var newUrl = '@Url.Action("GetFamiliesProfile", "Registrant")';
            var form = $("#ParticipantInformation");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/ParticipantInformation",
                cache: false,
                success: function (data) {
                    if (data.Status) {
                        window.location.href = newUrl;
                    }
                    else {
                        $("#resultTarget").html(data);
                        $('#hasSpecialNeeds').on('change', function () {
                            if ($(this).val() == 'True') {
                                $("#hasSpecialNeedsDescription").closest('.form-group').show(200);
                            }
                            else {
                                $("#hasSpecialNeedsDescription").closest('.form-group').hide(200);
                            }
                        });

                        $('#hasAllergies').on('change', function () {
                            if ($(this).val() == 'True') {
                                $("#allergiesDescription").closest('.form-group').show(200);
                            }
                            else {
                                $("#allergiesDescription").closest('.form-group').hide(200);
                            }
                        });

                        $('#selfAdministered').on('change', function () {
                            if ($(this).val() == 'True') {
                                $("#selfAdministeredDescription").closest('.form-group').show(200);
                            }
                            else {
                                $("#selfAdministeredDescription").closest('.form-group').hide(200);
                            }
                        });

                        $('#nutAllergy').on('change', function () {
                            if ($(this).val() == 'True') {
                                $("#nutAllergyDescription").closest('.form-group').show(200);
                            }
                            else {
                                $("#nutAllergyDescription").closest('.form-group').hide(200);
                            }
                        });
                    }
                },
                error: function (req) {
                    unblockUI();
                }
            });

            return false;
        }
       
    </script>

}
